# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Auto-Generated by cargo-ebuild 0.5.2

EAPI=8

CRATES="
	adler-1.0.2
	android_system_properties-0.1.5
	anyhow-1.0.66
	autocfg-1.1.0
	bitflags-1.3.2
	bstr-1.0.1
	bumpalo-3.11.1
	bzip2-0.4.3
	bzip2-sys-0.1.11+1.0.8
	cc-1.0.77
	cfg-if-1.0.0
	chrono-0.4.23
	clap-4.0.29
	clap_lex-0.3.0
	codespan-reporting-0.11.1
	core-foundation-sys-0.8.3
	crc32fast-1.3.2
	ctrlc-3.2.4
	curl-0.4.44
	curl-sys-0.4.59+curl-7.86.0
	cxx-1.0.83
	cxx-build-1.0.83
	cxxbridge-flags-1.0.83
	cxxbridge-macro-1.0.83
	encoding_rs-0.8.31
	errno-0.2.8
	errno-dragonfly-0.1.2
	fastrand-1.8.0
	filetime-0.2.19
	flate2-1.0.25
	form_urlencoded-1.1.0
	git2-0.15.0
	hashbrown-0.12.3
	hermit-abi-0.2.6
	iana-time-zone-0.1.53
	iana-time-zone-haiku-0.1.1
	idna-0.3.0
	indexmap-1.9.2
	instant-0.1.12
	io-lifetimes-1.0.3
	is-terminal-0.4.1
	itoa-1.0.4
	jobserver-0.1.25
	js-sys-0.3.60
	lazy_static-1.4.0
	libc-0.2.138
	libgit2-sys-0.14.0+1.5.0
	libz-sys-1.1.8
	link-cplusplus-1.0.7
	linux-raw-sys-0.1.3
	log-0.4.17
	memchr-2.5.0
	miniz_oxide-0.6.2
	nix-0.26.1
	num-integer-0.1.45
	num-traits-0.2.15
	once_cell-1.16.0
	openssl-probe-0.1.5
	openssl-sys-0.9.79
	os_str_bytes-6.4.1
	percent-encoding-2.2.0
	pkg-config-0.3.26
	proc-macro2-1.0.47
	quote-1.0.21
	redox_syscall-0.2.16
	remove_dir_all-0.5.3
	rustix-0.36.5
	ryu-1.0.11
	schannel-0.1.20
	scratch-1.0.2
	serde-1.0.150
	serde_derive-1.0.150
	serde_json-1.0.89
	socket2-0.4.7
	static_assertions-1.1.0
	strsim-0.10.0
	syn-1.0.105
	tar-0.4.38
	tempfile-3.3.0
	termcolor-1.1.3
	terminal_size-0.2.3
	thiserror-1.0.37
	thiserror-impl-1.0.37
	tinyvec-1.6.0
	tinyvec_macros-0.1.0
	unicode-bidi-0.3.8
	unicode-ident-1.0.5
	unicode-normalization-0.1.22
	unicode-width-0.1.10
	url-2.3.1
	vcpkg-0.2.15
	wasm-bindgen-0.2.83
	wasm-bindgen-backend-0.2.83
	wasm-bindgen-macro-0.2.83
	wasm-bindgen-macro-support-0.2.83
	wasm-bindgen-shared-0.2.83
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-x86_64-pc-windows-gnu-0.4.0
	windows-sys-0.36.1
	windows-sys-0.42.0
	windows_aarch64_gnullvm-0.42.0
	windows_aarch64_msvc-0.36.1
	windows_aarch64_msvc-0.42.0
	windows_i686_gnu-0.36.1
	windows_i686_gnu-0.42.0
	windows_i686_msvc-0.36.1
	windows_i686_msvc-0.42.0
	windows_x86_64_gnu-0.36.1
	windows_x86_64_gnu-0.42.0
	windows_x86_64_gnullvm-0.42.0
	windows_x86_64_msvc-0.36.1
	windows_x86_64_msvc-0.42.0
	xattr-0.2.3
"

inherit cargo

DESCRIPTION="Manage a stack of patches using GIT as a backend"
HOMEPAGE="https://stacked-git.github.io"
SRC_URI="$(cargo_crate_uris ${CRATES})"
SRC_URI+=" https://github.com/stacked-git/stgit/archive/v${PV}.tar.gz -> ${P}.tar.gz"
RESTRICT="mirror"
# License set may be more restrictive as OR is not respected
# use cargo-license for a more accurate license picture
LICENSE="Apache-2.0 MIT BSD BSL-1.1 GPL-2 Unicode-DFS-2016 Unlicense ZLIB"
SLOT="0/2"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
IUSE="doc"

DEPEND="doc? ( app-text/asciidoc )"
RDEPEND=""

src_compile() {
	cargo_src_compile
	emake completion
	emake contrib
	use doc && emake doc
}

src_install() {
	cargo_src_install
	emake DESTDIR="${D}" prefix="/usr" install-completion
	emake DESTDIR="${D}" prefix="/usr" install-contrib
	if use doc; then
		emake DESTDIR="${D}" prefix="/usr" install-man
		emake DESTDIR="${D}" prefix="/usr" \
			htmldir="/usr/share/doc/${PF}"  \
			install-html
	fi
}
