# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit flag-o-matic

DESCRIPTION="Console-mode amateur radio contest logger"
HOMEPAGE="http://home.iae.nl/users/reinc/TLF-0.2.html"
SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="test"

RESTRICT="!test? ( test )"

RDEPEND="sys-libs/ncurses:=
	dev-libs/glib:2
	media-libs/hamlib
	media-sound/sox
	dev-libs/xmlrpc-c[curl]"
DEPEND="
	${RDEPEND}
	test? ( dev-util/cmocka )"

PATCHES=( "${FILESDIR}"/${P}-zone_nr.patch )

src_configure() {
	append-ldflags -L/usr/$(get_libdir)/hamlib
	econf --enable-fldigi-xmlrpc
}
